package cz.moneta.test.dsl.auto.autoapi.lamder;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.autoapi.lamder.authentication.AuthenticationBuilder;
import cz.moneta.test.harness.endpoints.autoapi.AutoApiEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class LamderBuilder {
    private final Harness harness;

    public LamderBuilder(Harness harness) {
        this.harness = harness;
    }

    public AuthenticationBuilder authentication() {
        return new AuthenticationBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, AutoApiEndpoint.class, harness);
    }
}
